Bug 1212784 (CVE-2015-1838) - CVE-2015-1838 salt: insecure /tmp file handling in salt/modules/serverdensity_device.py
Summary: CVE-2015-1838 salt: insecure /tmp file handling in salt/modules/serverdensity...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-1838
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150325,repor...
Depends On: 1212789 1212790
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-17 10:10 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:33 UTC (History)
4 users (show)

Fixed In Version: SaltStack 2014.7.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:40:51 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-04-17 10:10:10 UTC
Michael Scherer of Red Hat reported an insecure /tmp file handling in salt/modules/serverdensity_device.py in SaltStack.
This issue is fixed in SaltStack version 2014.7.4 with this commit:

https://github.com/saltstack/salt/commit/e11298d7155e9982749483ca5538e46090caef9c

External References:

http://docs.saltstack.com/en/latest/topics/releases/2014.7.4.html

Acknowledgements:

Red Hat would like to thank Michael Scherer of Red Hat for reporting this issue.

Statement:

This issue did not affect versions of salt as shipped with Red Hat Red Hat Ceph Storage as they did not include the vulnerable module.

Comment 1 Vasyl Kaigorodov 2015-04-17 10:15:16 UTC
Created salt tracking bugs for this issue:

Affects: fedora-all [bug 1212789]
Affects: epel-all [bug 1212790]

Comment 2 Fedora Update System 2016-01-15 23:25:17 UTC
salt-2015.5.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.